Subject: Re: [PATCH] powerpc: delete boot-cpu and chosen nodes from all DTS files

From: Timur Tabi <[email-masked]>
Date: Tue, 13 Feb 2007 23:15:17 -0600

Benjamin Herrenschmidt wrote:

> I think that:
> 
>  - The /chosen node should be present in the .dts even if empty

Only one DTS file has it.  It's been removed from every other DTS.  Are 
you should that instead of removing the last one, I should *add* one to 
the other DTS files?

>  - I don't see why you are removing linux,boot-cpu from the
> documentation ! It's a fairly important property. 

No, it's a dead property.  Specifying linux,boot-cpu in the DTS is 
obsolete and deprecated.  If you specify it, the device tree compiler 
complains.  The proper way to specify the device tree is with the -b 
parameter to dtc.